Create Message
curl --request POST \
--url https://api.ontora.com/v1/projects/{project_id}/chat/sessions/{session_id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>",
"content": "<string>",
"parts_json": [
"<unknown>"
],
"context_vault_ids_used": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"graph_delta": {
"nodes": [],
"edges": [],
"ukl_refs": []
}
}
'import requests
url = "https://api.ontora.com/v1/projects/{project_id}/chat/sessions/{session_id}/messages"
payload = {
"role": "<string>",
"content": "<string>",
"parts_json": ["<unknown>"],
"context_vault_ids_used": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"graph_delta": {
"nodes": [],
"edges": [],
"ukl_refs": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: '<string>',
content: '<string>',
parts_json: ['<unknown>'],
context_vault_ids_used: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
graph_delta: {nodes: [], edges: [], ukl_refs: []}
})
};
fetch('https://api.ontora.com/v1/projects/{project_id}/chat/sessions/{session_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"content": "<string>",
"context_vault_ids_used": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"graph_nodes_created": 123,
"graph_edges_created": 123,
"created_at": "2023-11-07T05:31:56Z",
"parts_json": [
"<unknown>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}chat
Create Message
Create a new chat message in a session.
If graph_delta is provided, the corresponding PRJ nodes/edges will be created in the project graph.
POST
/
v1
/
projects
/
{project_id}
/
chat
/
sessions
/
{session_id}
/
messages
Create Message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I